[UPDATED] JACS 0.1.1 :D Il mio cron script per aggiornare amule, amsn e emesene!


Vorrei condividere con voi uno scriptino che ho fatto per evitare ogni santa volta di dovermi ricompilare manualmente amsn, amule e scaricare emesene.

jacs

L’ho chiamato JACS….. Just A Cron Script

Rilasciato sotto GPLv3 or later

per adesso è molto giovane… spero di portarlo avanti rendendolo più facile da installare e configurare..

In ogni caso è compatibile con le maggiori distribuzioni… siete quindi liberi di usarlo anche sulle derivate debian , ecc ecc…

Requisiti:


Cosa fa:

  • Scarica l’svn di emesene, eliminando la precedente (il tutto in /opt)
  • Aggiorna aMule CVS con l’ultima versione disponibile (se non disponibile quella del giorno, prende quella del giorno precedente)
  • Aggiorna aMsn con l’ultima SVN disponibile

Cosa non fa:

  • Per adesso non risolve da solo le dipendenze.. per questo dovete aver eseguito almeno una volta le mie guide
  • Per emesene non crea la voce del menu necessaria ad avviarlo.. ma qua vi spiegherò come ovviare al problema
  • Il caffè

Come installare:

Dopo aver soddisfatto i requisiti, potete passare alla “installazione” vera e propria…

wget http://piuemeno.netsons.org/materiale/JACS.sh

su

cp JACS.sh /opt

echo '00 4 * * * root sh /opt/JACS.sh' >> /etc/crontab

IN ROSSO: ORA IN CUI ESEGUIRE LO SCRIPT

BLU: MINUTI IN CUI ESEGUIRE LO SCRIPT

Quindi in questo caso lo script partirà alle 4:00 di mattina D

DUBBI E SOLUZIONI

Per emesene vi consiglio di crearvi una voce di menu per lanciarlo.. su gnome cliccate con il tasto destro su Applicazioni, scegliete Modifica Menu, cliccate su INTERNET e premete: Nuova Voce.

Come nome mettete quello che vi pare… io ho messo emesene

Come comando mettete: python /opt/emesene/Controller.py

—————————————-

Se non volete installare emesene o non vi interessa per esempio amsn, basta eliminare dallo script il blocco che non vi interessa!

ad esempio per eliminare emesene basta che tagliate da:

############################# emesene #################################

fino alla riga che c’è prima del blocco di amule )

——————————————-

Lo script è configurato in modo da consumare meno risorse possibili e di non disturbare troppo durante la notte… i vari comandi gireranno con priorità “bassa”… così da lasciare in risparmio energetico il vostro processore. Per lo stesso motivo ho lasciato solo un thread di compilazione, perchè magari volete lanciarlo di giorno e vi scoccia che vi occupa (se avete un dual core) entrambi i core.

——————————————

Ovviamente accetto eventuali consigli su come migliorare lo script….

Vorrei affiancarlo ad uno script per installare tutto il necessario senza seguire le guide, ma la cosa è macchinosa e richiede tempo… vedremo prossimamente cosa posso fare ) Una priorità è rendere facile l’installazione e scelta di cosa eseguire… ma magari alla prossima versione vi saprò dire!

E’ tutto!

9 Risposte

  1. uno script che non fa il caffé ma che razza d script é?😀
    ottimo lavoro karl😀

  2. eeh.. ci sono tante cose da implementare prima della possibilità di fare il caffè😀

  3. […] Potete scaricarlo dall’articolo precedente […]

  4. I link non funzionano (intendo quelli sotto a “Requisiti:”). Si riferiscono al sito su netsons.org.

  5. grazie per la segnalazione😀

  6. Hey ma ora che c’è questo problema nel trovare la libreria Farsight2, posso comunque avviare questo script e mi aggiornerà Amsn senza problemi?

  7. no, anzi ho dimenticato di scriverlo :S

    diamine sta cosa del monitor mi ha fregato……..non posso testare se il problema si può risolvere😦 porca miseria.

  8. Allora, il tuo script funziona ancora. Se non trova Farsight2 procede tranquillo e ti dice che non potrai fare conversazioni audio.
    Ma io Farsight2 ce l’ho, l’ho installato da qui:
    http://www.4shared.com/dir/7795028/c29c5c46/sharing.html
    sono i pacchetti per fedora9, io ho fedora8 ma non dovrebbero fare danni no?
    Eppure durante la compilazione dice che Farsight2 non c’è.

  9. hai instalato i farsight-devel ?

    e poi potrebbe essere problema di versione…non saprei

Lascia un commento

Inserisci i tuoi dati qui sotto o clicca su un'icona per effettuare l'accesso:

Logo WordPress.com

Stai commentando usando il tuo account WordPress.com. Chiudi sessione / Modifica )

Foto Twitter

Stai commentando usando il tuo account Twitter. Chiudi sessione / Modifica )

Foto di Facebook

Stai commentando usando il tuo account Facebook. Chiudi sessione / Modifica )

Google+ photo

Stai commentando usando il tuo account Google+. Chiudi sessione / Modifica )

Connessione a %s...

%d blogger cliccano Mi Piace per questo: